;; ##################################################################################
;; # ============================================================================== #
;; # MrEd Designer - mreddesigner.ss                                                #
;; # http://mreddesigner.lozi.org                                                   #
;; # Copyright (C) Lozi Jean-Pierre, 2004 - mailto:jean-pierre@lozi.org             #
;; # ============================================================================== #
;; #                                                                                #
;; # This program is free software; you can redistribute it and/or                  #
;; # modify it under the terms of the GNU General Public License                    #
;; # as published by the Free Software Foundation; either version 2                 #
;; # of the License, or (at your option) any later version.                         #
;; #                                                                                #
;; # This program is distributed in the hope that it will be useful,                #
;; # but WITHOUT ANY WARRANTY; without even the implied warranty of                 #
;; # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  #
;; # GNU General Public License for more details.                                   #
;; #                                                                                #
;; # You should have received a copy of the GNU General Public License              #
;; # along with this program; if not, write to the Free Software                    #
;; # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.    #
;; #                                                                                #
;; ##################################################################################

;; The mreddesigner module...
(module mreddesigner mzscheme
  
  (load/use-compiled "mreddesigner-project-data.ss")        ;; The project data file
  (load/use-compiled "mreddesigner-default-values.ss")      ;; The default values file
  (load/use-compiled "mreddesigner-help.ss")                ;; The help menu file
  (load/use-compiled "mreddesigner-code-generation.ss")     ;; The code generation file
  (load/use-compiled "mreddesigner-files.ss")               ;; The files management file
  (load/use-compiled "mreddesigner-preview.ss")             ;; The preview manager file
  
  (load/use-compiled "mreddesigner-splash-screen.ss")       ;; The splash-screen file
  
  (load/use-compiled "mreddesigner-toolbox-frame.ss")       ;; The toolbox frame file
  
  (load/use-compiled "mreddesigner-properties-widget.ss")   ;; The properties widget file
  (load/use-compiled "mreddesigner-properties-frame.ss")    ;; The properties frame file
  
  (load/use-compiled "mreddesigner-hierarchy-frame.ss"))    ;; The hierarchy frame file

