;; ##################################################################################
;; # ============================================================================== #
;; # MrEd Designer - compile.scm                                                    #
;; # http://mreddesigner.lozi.org                                                   #
;; # Copyright (C) Lozi Jean-Pierre, 2004 - mailto:jean-pierre@lozi.org             #
;; # ============================================================================== #
;; #                                                                                #
;; # This program is free software; you can redistribute it and/or                  #
;; # modify it under the terms of the GNU General Public License                    #
;; # as published by the Free Software Foundation; either version 2                 #
;; # of the License, or (at your option) any later version.                         #
;; #                                                                                #
;; # This program is distributed in the hope that it will be useful,                #
;; # but WITHOUT ANY WARRANTY; without even the implied warranty of                 #
;; # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  #
;; # GNU General Public License for more details.                                   #
;; #                                                                                #
;; # You should have received a copy of the GNU General Public License              #
;; # along with this program; if not, write to the Free Software                    #
;; # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.    #
;; #                                                                                #
;; ##################################################################################

;;
;; This file creates the shared librairies in the "compiled" folder.
;;
;; After having executed compile.scm, you can delete the whole source
;; code except main.scm, then create an executable from main.scm.
;; This exectuable will only require main.scm (which is only two lines
;; of code long) and the shared librairies in the "compiled" folder.
;;

;; First we load the compile.ss librairy
(require (lib "compile.ss"))

;; And then compile all the files
(compile-file "mreddesigner.ss")
(compile-file "mreddesigner-project-data.ss")
(compile-file "mreddesigner-default-values.ss")
(compile-file "mreddesigner-help.ss")
(compile-file "mreddesigner-code-generation.ss") 
(compile-file "mreddesigner-files.ss")
(compile-file "mreddesigner-preview.ss")
(compile-file "mreddesigner-splash-screen.ss")
(compile-file "mreddesigner-toolbox-frame.ss")
(compile-file "mreddesigner-properties-widget.ss")
(compile-file "mreddesigner-properties-frame.ss")
(compile-file "mreddesigner-hierarchy-widget.ss")
(compile-file "mreddesigner-hierarchy-frame.ss")